Commit 1577cad0 authored by imirkin's avatar imirkin Committed by nouveau
Browse files

fix formatting, remove reference to staging/abi breakage

parent 5a55dab7
......@@ -23,17 +23,12 @@ If you have any problems with Nouveau, it does not work, it is slow, Xv is not a
1. Is X using the right driver (DDX)?
* Do not use `nv` driver in X. Use `nouveau` instead. If you do not explicitly tell X to use `nouveau` in `xorg.conf`, it will usually default to `nv`, or maybe even `nvidia` (the proprietary driver). Any X driver (e.g. `vesa`) other than `nouveau` or `fbdev` will cause problems with KMS.
1. Is your X configuration sane?
* Try the minimalistic 4-line `xorg.conf` file from [[InstallNouveau|InstallNouveau]] page. That will solve most of the X configuration errors, bad monitor display modes, bad frequencies, etc.
* Try the minimalistic 4-line `xorg.conf` file from [[InstallNouveau]] page. That will solve most of the X configuration errors, bad monitor display modes, bad frequencies, etc.
1. Are you using the latest code?
* Make sure you use the latest available Nouveau code from the git repositories listed in [[Source|Source]]: DDX, DRM and Nouveau kernel. And this **really means GIT**, not your just distribution's latest package. ** _GIT_ as of _TODAY_ **. Kernel.org git repositories do not count, use the freedesktop.org repositories. As long as Nouveau is in staging in the Linux kernel, the user space ABI can break. This means that the git version of libdrm or DDX does not work with the kernel.org version of Nouveau code, until the changes flow upstream.
Nouveau requires at least version 1.8.0 of xorg-server, and [[KernelModeSetting|KernelModeSetting]] (activated by default).
* Make sure you use the latest available Nouveau code from the git repositories listed in [[Source|Source]]: DDX, DRM and Nouveau kernel. And this **really means GIT**, not your just distribution's latest package. **_GIT_ as of _TODAY_**. Kernel.org git repositories do not count, use the freedesktop.org repositories. See [[InstallNouveau]] for help compiling/installing them.
## Frequently Encountered Problems
[[!toc ]]
### Xorg fails to start with "(EE) [drm] failed to open device"
Your DDX does not work with your current kernel and/or libdrm. There are at least three possible reasons for this: the nouveau DRM kernel module is not loaded, a version mismatch between the Nouveau DRM and libdrm, or [[KMS|KernelModeSetting]] being disabled.
......@@ -53,13 +48,11 @@ The problem can also happen the other way around, with a libdrm too old compared
Here is an example with libdrm compiled and installed to /usr/local:
* [[!format txt """
$ ldd /usr/lib/xorg/modules/drivers/nouveau_drv.so
...
$ ldd /usr/lib/xorg/modules/drivers/nouveau_drv.so
...
libdrm_nouveau.so.1 => /usr/local/lib/libdrm_nouveau.so.1 (0x00007f3cca1bc000)
libdrm.so.2 => /usr/local/lib/libdrm.so.2 (0x00007f3cc9c5c000)
...
"""]]
...
### Cannot insert drm.ko, "duplicated symbol"
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment